import java.awt.*;

public class MouseWiggler {
    static Robot r;

    public static void main(String[] args) throws Exception {
        if (args.length != 1 && args.length != 2) {
            System.out.println("USAGE: MouseWiggler sleep_time [x_delta]");
            System.out.println();
            System.out.println("       sleep_time is the number of seconds to sleep between");
            System.out.println("       wiggling the mouse cursor.");
            System.out.println();
            System.out.println("       x_delta (default: 4) is the number of pixels to move");
            System.out.println("       the mouse cursor on the X axis.");
            System.exit(1);
        }

        r = new Robot();
        int sleepTime = Integer.parseInt(args[0]) * 1000;
        
        int xDelta = 4;
        if (args.length > 1) {
            xDelta = Integer.parseInt(args[1]);
        }
        
        while (true) {
            Thread.sleep(sleepTime);
            Point b = MouseInfo.getPointerInfo().getLocation();
            int x = (int) b.getX();
            int y = (int) b.getY();

            mouseMove(x + xDelta, y);
            mouseMove(x, y);
        }
    }

    static void mouseMove(int x, int y) throws Exception {
        r.mouseMove(x, y);
        Thread.sleep(50);
    }
}
